#!/bin/sh

echo
echo "ozone ODMG sample build"
echo "---------------------"

if [ "$JAVA_HOME" = "" ] ; then
  echo "ERROR: JAVA_HOME not found in your environment."
  echo
  echo "Please, set the JAVA_HOME variable in your environment to match"
  echo "the location of the Java Virtual Machine you want to use."
  exit 1
fi

OZONE_DIR=../../../server
ANT_HOME=$OZONE_DIR

echo
echo Starting Ant...

export CLASSPATH=${CLASSPATH}:../build/classes

. $ANT_HOME/bin/ozoneAnt -Dozone.dir=$OZONE_DIR
