// You can redistribute this software and/or modify it under the terms of
// the Ozone Library License version 1 published by ozone-db.org.
//
// The original code and portions created by SMB are
// Copyright (C) 1997-2001 by SMB GmbH. All rights reserved.
//
// $Id: Auto.java,v 1.2 2003/03/12 10:57:03 per_nyfelt Exp $

package test.odmg;

import org.ozoneDB.*;


public class Auto extends OzoneObject implements OzoneRemote {

    protected String name = "Ford";

    protected int age = 0;

    protected Auto link;


    public Auto( String _name ) throws Exception{
        name = _name;
    }


    public boolean equals( Object obj ) {
        Auto auto = (Auto)obj;
        return name.equals( auto.name() );
    }


    public Auto doSomthing( Auto auto ) throws Exception {
        System.out.println( "got: " + auto.toString() + " (" + auto.getClass().getName() + ")" );
        return this;
    }


    public Auto setLink( Auto auto ) throws Exception {
        // System.out.println ("setLink(): " + auto.toString() + " (" + auto.getClass().getName() + ")");
        link = auto;
        return this;
    }


    public void print() {
        System.out.println( toString() );
    }


    public void setName( String newName ) {
        name = newName;
    }


    public String name() {
        return name;
    }


    public void setAge( Integer newAge ) {
        age = newAge.intValue();
    // throw new NullPointerException();
    }


    public int setAge( int newAge ) {
        int ret = age;
        age = newAge;
        return age;
    }


    public Integer age() {
        return new Integer( age );
    }


    public String toString() {
        // System.out.println ("toString()...");
        return "Auto:" + name + ", " + String.valueOf( age );
    }


    public void done() throws Exception {
    // System.out.println (toString() + " done.");
    }

}
