// You can redistribute this software and/or modify it under the terms of
// the Ozone Library License version 1 published by ozone-db.org.
//
// The original code and portions created by SMB are
// Copyright (C) 1997-@year@ by SMB GmbH. All rights reserved.
//
// $Id: OzoneODMGDArray.java,v 1.1 2002/05/08 15:03:21 per_nyfelt Exp $

package org.ozoneDB.odmg;

import org.odmg.*;
//import org.ozoneDB.*;
import java.util.*;


/**
 * @author <a href="http://www.softwarebuero.de/">SMB</a>
 * @version $Revision: 1.1 $Date: 2002/05/08 15:03:21 $
 */
public class OzoneODMGDArray extends ArrayList implements DArray {
    
    
    public OzoneODMGDArray() {
        super();
    }
    
    
    public OzoneODMGDArray( Collection _collection ) {
        super( _collection );
    }
    
    
    /**
     * Resize the array to have <code>newSize</code> elements.
     * @param    newSize The new size of the array.
     */
    public void resize( int newSize ) {
        ensureCapacity( newSize );
    } 
    
    
    /**
     * NOT SUPPORTED!
     */
    public Object selectElement( String predicate ) throws QueryInvalidException {
        throw new NotImplementedException( "OQL not supported" );
    } 
    
    
    /**
     * NOT SUPPORTED!
     */
    public java.util.Iterator select( String predicate ) throws QueryInvalidException {
        throw new NotImplementedException( "OQL not supported" );
    } 
    
    
    /**
     * NOT SUPPORTED!
     */
    public DCollection query( String predicate ) throws QueryInvalidException {
        throw new NotImplementedException( "OQL not supported" );
    } 
    
    
    /**
     * NOT SUPPORTED!
     */
    public boolean existsElement( String predicate ) throws QueryInvalidException {
        throw new NotImplementedException( "OQL not supported" );
    } 
    
}
